const { app, BrowserWindow } = require("electron");
const path = require("path");
const url = require("url");

const prod = true;
let win;

function createWindow() {
    // Vytvoříme nové okno
    win = new BrowserWindow({
        width: 800,
        height: 600
    });

    // Načteme index.html
    win.loadURL(url.format({
        pathname: path.join(__dirname + "/src/index.html"),
        protocol: "file:",
        slashes: true
    }));

    // Pokud jsme ve vývoji, otevřeme vývojářské nástroje 
    if(!prod) {
        win.webContents.openDevTools();
    }

    // Pokud uživatel zavře okno, okno se zničí
    win.on("closed", () => {
        win = null;
    });
}

// Spustíme hlavní proces
app.on("ready", createWindow)

// Vypneme aplikaci pokud jsou všechna okna zavřená
app.on('window-all-closed', () => {

    // Pokud platforma není MacOS, okunči aplikaci
    // Na MacOS se aplikace ukončí az po spuštění příkazu quit
    if(process.platform !== "darwin") {
        app.quit();
    }
});
